Skip to main content
`Ctrl`+`K`
scipy.spatial.transform.RigidTransform.

# __len__

RigidTransform.__len__(self)

  Return the number of transforms in this object.

  Multiple transforms can be stored in a single instance.

  Returns:
    length int

      The number of transforms in this object.

  Raises:
    TypeError

      If the transform is a single transform.

  Examples

      >>> from scipy.spatial.transform import RigidTransform as Tf
      >>> tf = Tf.identity(3)
      >>> len(tf)
      3

      >>> tf = Tf.from_translation([1, 0, 0])
      >>> len(tf)
      Traceback (most recent call last):
          ...
      TypeError: Single transform has no len().